Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

Very Huge ODB File of size 10 GB 2

Status
Not open for further replies.

Sri Harsha

Aerospace
Jun 16, 2017
37
0
0
DE
Hi,

I have the following script,which generates an ODB File.
My model is a simple Structure,consisting of circular beams.

When I am running the above script,its generating an ODB of size 10 GB.
From the ODB, I only need to retrieve Vonmisses stress, Displacement.

Script:

# -*- coding: mbcs -*-
from part import *
from material import *
from section import *
from assembly import *
from step import *
from interaction import *
from load import *
from mesh import *
from optimization import *
from job import *
from sketch import *
from visualization import *
from connectorBehavior import *
import sys
import numpy
index=0
parameter=[[]]
for x in range(1,101):
radius_beam=0.21+float(x)*0.003
mdb.models['Model-1'].ConstrainedSketch(name='__profile__', sheetSize=200.0)
mdb.models['Model-1'].sketches['__profile__'].rectangle(point1=(-3.0, 3.0),
point2=(3.0, -3.0))
mdb.models['Model-1'].Part(dimensionality=THREE_D, name='Part-1', type=
DEFORMABLE_BODY)
mdb.models['Model-1'].parts['Part-1'].BaseSolidExtrude(depth=8.25, sketch=
mdb.models['Model-1'].sketches['__profile__'])
del mdb.models['Model-1'].sketches['__profile__']

mdb.models['Model-1'].parts['Part-1'].DatumPlaneByOffset(flip=SIDE1, offset=2.5
, plane=mdb.models['Model-1'].parts['Part-1'].faces[5])
mdb.models['Model-1'].parts['Part-1'].Mirror(keepOriginal=ON, mirrorPlane=
mdb.models['Model-1'].parts['Part-1'].datums[2])

mdb.models['Model-1'].parts['Part-1'].DatumPlaneByOffset(flip=SIDE2, offset=1.0
, plane=mdb.models['Model-1'].parts['Part-1'].faces[6])
mdb.models['Model-1'].ConstrainedSketch(gridSpacing=1.27, name='__sweep__',
sheetSize=50.85, transform=
mdb.models['Model-1'].parts['Part-1'].MakeSketchTransform(
sketchPlane=mdb.models['Model-1'].parts['Part-1'].datums[4],
sketchPlaneSide=SIDE1,
sketchUpEdge=mdb.models['Model-1'].parts['Part-1'].edges[14],
sketchOrientation=TOP, origin=(2.0, 0.0, -2.5)))
mdb.models['Model-1'].parts['Part-1'].projectReferencesOntoSketch(filter=
COPLANAR_EDGES, sketch=mdb.models['Model-1'].sketches['__sweep__'])
mdb.models['Model-1'].sketches['__sweep__'].Line(point1=(-2.0, 2.5), point2=(
-2.0, -2.5))
mdb.models['Model-1'].sketches['__sweep__'].VerticalConstraint(addUndoState=
False, entity=mdb.models['Model-1'].sketches['__sweep__'].geometry[2])
mdb.models['Model-1'].ConstrainedSketch(gridSpacing=0.49, name='__profile__',
sheetSize=19.69, transform=
mdb.models['Model-1'].parts['Part-1'].MakeSketchTransform(
sketchPlane=mdb.models['Model-1'].parts['Part-1'].faces[11],
sketchPlaneSide=SIDE1,
sketchUpEdge=mdb.models['Model-1'].parts['Part-1'].edges[17],
sketchOrientation=BOTTOM, origin=(0.0, 0.0, -5.0)))
mdb.models['Model-1'].parts['Part-1'].projectReferencesOntoSketch(filter=
COPLANAR_EDGES, sketch=mdb.models['Model-1'].sketches['__profile__'])
mdb.models['Model-1'].sketches['__profile__'].CircleByCenterPerimeter(center=(
2.0, -2.0), point1=(2.3275, -2.205))
#####################first radius parameter##########################################


print (radius_beam)
mdb.models['Model-1'].sketches['__profile__'].RadialDimension(curve=
mdb.models['Model-1'].sketches['__profile__'].geometry[6], radius=radius_beam,
textPoint=(3.0, -1.29795169830322))
####################################################################################
mdb.models['Model-1'].parts['Part-1'].SolidSweep(path=
mdb.models['Model-1'].sketches['__sweep__'], pathOrientation=TOP,
pathPlane=mdb.models['Model-1'].parts['Part-1'].datums[4], pathUpEdge=
mdb.models['Model-1'].parts['Part-1'].edges[14], profile=
mdb.models['Model-1'].sketches['__profile__'], sketchOrientation=BOTTOM,
sketchPlane=mdb.models['Model-1'].parts['Part-1'].faces[11], sketchUpEdge=
mdb.models['Model-1'].parts['Part-1'].edges[17])
del mdb.models['Model-1'].sketches['__sweep__']
del mdb.models['Model-1'].sketches['__profile__']

###############rounding of edges of beam with 0.2###################################
mdb.models['Model-1'].parts['Part-1'].Round(edgeList=(
mdb.models['Model-1'].parts['Part-1'].edges[0],
mdb.models['Model-1'].parts['Part-1'].edges[1]), radius=0.2)
mdb.models['Model-1'].parts['Part-1'].DatumPlaneByOffset(flip=SIDE2, offset=3.0
, plane=mdb.models['Model-1'].parts['Part-1'].faces[5])
mdb.models['Model-1'].parts['Part-1'].DatumPlaneByOffset(flip=SIDE2, offset=3.0
, plane=mdb.models['Model-1'].parts['Part-1'].faces[13])
mdb.models['Model-1'].parts['Part-1'].Mirror(keepOriginal=ON, mirrorPlane=
mdb.models['Model-1'].parts['Part-1'].datums[8])
mdb.models['Model-1'].parts['Part-1'].Mirror(keepOriginal=ON, mirrorPlane=
mdb.models['Model-1'].parts['Part-1'].datums[7])

#####################construction of slanted beams#################################
mdb.models['Model-1'].parts['Part-1'].DatumAxisByCylFace(face=
mdb.models['Model-1'].parts['Part-1'].faces[9])
mdb.models['Model-1'].parts['Part-1'].DatumPointByProjOnEdge(edge=
mdb.models['Model-1'].parts['Part-1'].datums[11], point=
mdb.models['Model-1'].parts['Part-1'].vertices[16])
mdb.models['Model-1'].parts['Part-1'].DatumAxisByCylFace(face=
mdb.models['Model-1'].parts['Part-1'].faces[12])
mdb.models['Model-1'].parts['Part-1'].DatumPointByProjOnEdge(edge=
mdb.models['Model-1'].parts['Part-1'].edges[23], point=
mdb.models['Model-1'].parts['Part-1'].vertices[17])
del mdb.models['Model-1'].parts['Part-1'].features['Datum pt-2']
mdb.models['Model-1'].parts['Part-1'].DatumPointByProjOnEdge(edge=
mdb.models['Model-1'].parts['Part-1'].datums[13], point=
mdb.models['Model-1'].parts['Part-1'].vertices[17])
mdb.models['Model-1'].parts['Part-1'].DatumAxisByCylFace(face=
mdb.models['Model-1'].parts['Part-1'].faces[1])
mdb.models['Model-1'].parts['Part-1'].DatumPointByProjOnEdge(edge=
mdb.models['Model-1'].parts['Part-1'].datums[16], point=
mdb.models['Model-1'].parts['Part-1'].vertices[10])
del mdb.models['Model-1'].parts['Part-1'].features['Datum pt-2']
del mdb.models['Model-1'].parts['Part-1'].features['Datum axis-2']
mdb.models['Model-1'].parts['Part-1'].DatumAxisByTwoPoint(point1=
mdb.models['Model-1'].parts['Part-1'].datums[17], point2=
mdb.models['Model-1'].parts['Part-1'].datums[12])
mdb.models['Model-1'].parts['Part-1'].DatumPlaneByPointNormal(normal=
mdb.models['Model-1'].parts['Part-1'].datums[18], point=
mdb.models['Model-1'].parts['Part-1'].datums[12])
mdb.models['Model-1'].parts['Part-1'].DatumPlaneByOffset(flip=SIDE2, offset=1.0
, plane=mdb.models['Model-1'].parts['Part-1'].faces[17])
mdb.models['Model-1'].ConstrainedSketch(gridSpacing=1.59, name='__sweep__',
sheetSize=63.7, transform=
mdb.models['Model-1'].parts['Part-1'].MakeSketchTransform(
sketchPlane=mdb.models['Model-1'].parts['Part-1'].datums[20],
sketchPlaneSide=SIDE1,
sketchUpEdge=mdb.models['Model-1'].parts['Part-1'].edges[9],
sketchOrientation=TOP, origin=(0.0, 2.0, -2.5)))
mdb.models['Model-1'].parts['Part-1'].projectReferencesOntoSketch(filter=
COPLANAR_EDGES, sketch=mdb.models['Model-1'].sketches['__sweep__'])
mdb.models['Model-1'].sketches['__sweep__'].Line(point1=(-2.0, -2.5), point2=(
2.0, 2.5))
mdb.models['Model-1'].ConstrainedSketch(gridSpacing=1.59, name='__profile__',
sheetSize=63.7, transform=
mdb.models['Model-1'].parts['Part-1'].MakeSketchTransform(
sketchPlane=mdb.models['Model-1'].parts['Part-1'].datums[19],
sketchPlaneSide=SIDE1,
sketchUpEdge=mdb.models['Model-1'].parts['Part-1'].edges[16],
sketchOrientation=BOTTOM, origin=(2.0, 0.0, 0.0)))
mdb.models['Model-1'].parts['Part-1'].projectReferencesOntoSketch(filter=
COPLANAR_EDGES, sketch=mdb.models['Model-1'].sketches['__profile__'])
mdb.models['Model-1'].sketches['__profile__'].CircleByCenterPerimeter(center=(
2.0, 0.0), point1=(2.0, -1.60398920346051))
mdb.models['Model-1'].sketches['__profile__'].CoincidentConstraint(
addUndoState=False, entity1=
mdb.models['Model-1'].sketches['__profile__'].vertices[3], entity2=
mdb.models['Model-1'].sketches['__profile__'].geometry[2])

###################### 2nd Parameter#################################
mdb.models['Model-1'].sketches['__profile__'].RadialDimension(curve=
mdb.models['Model-1'].sketches['__profile__'].geometry[4], radius= radius_beam,
textPoint=(7.3201789855957, 2.236790697694))
#####################################################################

mdb.models['Model-1'].parts['Part-1'].SolidSweep(path=
mdb.models['Model-1'].sketches['__sweep__'], pathOrientation=TOP,
pathPlane=mdb.models['Model-1'].parts['Part-1'].datums[20], pathUpEdge=
mdb.models['Model-1'].parts['Part-1'].edges[9], profile=
mdb.models['Model-1'].sketches['__profile__'], sketchOrientation=BOTTOM,
sketchPlane=mdb.models['Model-1'].parts['Part-1'].datums[19], sketchUpEdge=
mdb.models['Model-1'].parts['Part-1'].edges[16])
del mdb.models['Model-1'].sketches['__sweep__']
del mdb.models['Model-1'].sketches['__profile__']
mdb.models['Model-1'].parts['Part-1'].DatumAxisByCylFace(face=
mdb.models['Model-1'].parts['Part-1'].faces[13])
mdb.models['Model-1'].parts['Part-1'].DatumPointByProjOnEdge(edge=
mdb.models['Model-1'].parts['Part-1'].datums[22], point=
mdb.models['Model-1'].parts['Part-1'].vertices[20])
mdb.models['Model-1'].parts['Part-1'].DatumPointByProjOnEdge(edge=
mdb.models['Model-1'].parts['Part-1'].datums[16], point=
mdb.models['Model-1'].parts['Part-1'].vertices[22])
mdb.models['Model-1'].parts['Part-1'].DatumAxisByTwoPoint(point1=
mdb.models['Model-1'].parts['Part-1'].datums[12], point2=
mdb.models['Model-1'].parts['Part-1'].datums[23])
del mdb.models['Model-1'].parts['Part-1'].features['Datum pt-4']
mdb.models['Model-1'].parts['Part-1'].DatumPlaneByPointNormal(normal=
mdb.models['Model-1'].parts['Part-1'].datums[25], point=
mdb.models['Model-1'].parts['Part-1'].datums[12])
mdb.models['Model-1'].ConstrainedSketch(gridSpacing=1.78, name='__sweep__',
sheetSize=71.45, transform=
mdb.models['Model-1'].parts['Part-1'].MakeSketchTransform(
sketchPlane=mdb.models['Model-1'].parts['Part-1'].datums[4],
sketchPlaneSide=SIDE1,
sketchUpEdge=mdb.models['Model-1'].parts['Part-1'].edges[22],
sketchOrientation=TOP, origin=(2.0, 0.0, -2.5)))
mdb.models['Model-1'].parts['Part-1'].projectReferencesOntoSketch(filter=
COPLANAR_EDGES, sketch=mdb.models['Model-1'].sketches['__sweep__'])
mdb.models['Model-1'].sketches['__sweep__'].Line(point1=(-2.0, 2.5), point2=(
2.0, -2.5))
mdb.models['Model-1'].ConstrainedSketch(gridSpacing=1.78, name='__profile__',
sheetSize=71.45, transform=
mdb.models['Model-1'].parts['Part-1'].MakeSketchTransform(
sketchPlane=mdb.models['Model-1'].parts['Part-1'].datums[26],
sketchPlaneSide=SIDE1,
sketchUpEdge=mdb.models['Model-1'].parts['Part-1'].edges[24],
sketchOrientation=TOP, origin=(0.0, 2.0, 0.0)))
mdb.models['Model-1'].parts['Part-1'].projectReferencesOntoSketch(filter=
COPLANAR_EDGES, sketch=mdb.models['Model-1'].sketches['__profile__'])
mdb.models['Model-1'].sketches['__profile__'].CircleByCenterPerimeter(center=(
-2.0, 0.0), point1=(-1.31586981890723, 0.534215919906273))
mdb.models['Model-1'].sketches['__profile__'].CoincidentConstraint(
addUndoState=False, entity1=
mdb.models['Model-1'].sketches['__profile__'].vertices[4], entity2=
mdb.models['Model-1'].sketches['__profile__'].geometry[3])
#######################3rd radius Parameter####################################
mdb.models['Model-1'].sketches['__profile__'].RadialDimension(curve=
mdb.models['Model-1'].sketches['__profile__'].geometry[6], radius=radius_beam,
textPoint=(-7.5357780456543, 1.22744603251194))
################################################################################

mdb.models['Model-1'].parts['Part-1'].SolidSweep(flipSweepDirection=ON, path=
mdb.models['Model-1'].sketches['__sweep__'], pathOrientation=TOP,
pathPlane=mdb.models['Model-1'].parts['Part-1'].datums[4], pathUpEdge=
mdb.models['Model-1'].parts['Part-1'].edges[22], profile=
mdb.models['Model-1'].sketches['__profile__'], sketchOrientation=TOP,
sketchPlane=mdb.models['Model-1'].parts['Part-1'].datums[26], sketchUpEdge=
mdb.models['Model-1'].parts['Part-1'].edges[24])
del mdb.models['Model-1'].sketches['__sweep__']
del mdb.models['Model-1'].sketches['__profile__']
mdb.models['Model-1'].parts['Part-1'].Mirror(keepOriginal=ON, mirrorPlane=
mdb.models['Model-1'].parts['Part-1'].datums[2])
mdb.models['Model-1'].parts['Part-1'].Mirror(keepOriginal=ON, mirrorPlane=
mdb.models['Model-1'].parts['Part-1'].datums[8])
mdb.models['Model-1'].parts['Part-1'].Mirror(keepOriginal=ON, mirrorPlane=
mdb.models['Model-1'].parts['Part-1'].datums[7])

#################Partitioning for meshing###################################

#Partitioning of top and bottom blocks
mdb.models['Model-1'].parts['Part-1'].PartitionCellByPlaneThreePoints(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask(('[#1 ]',
), ), point1=mdb.models['Model-1'].parts['Part-1'].vertices[70], point2=
mdb.models['Model-1'].parts['Part-1'].vertices[72], point3=
mdb.models['Model-1'].parts['Part-1'].vertices[71])
mdb.models['Model-1'].parts['Part-1'].PartitionCellByPlaneThreePoints(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask(('[#2 ]',
), ), point1=mdb.models['Model-1'].parts['Part-1'].vertices[66], point2=
mdb.models['Model-1'].parts['Part-1'].vertices[69], point3=
mdb.models['Model-1'].parts['Part-1'].vertices[67])

#Partitioning of Beams with radius of beam as parameter
mdb.models['Model-1'].parts['Part-1'].DatumPlaneByOffset(flip=SIDE1, offset=radius_beam*2.9
, plane=mdb.models['Model-1'].parts['Part-1'].faces[36])
mdb.models['Model-1'].parts['Part-1'].DatumPlaneByOffset(flip=SIDE1, offset=radius_beam*2.9
, plane=mdb.models['Model-1'].parts['Part-1'].faces[37])
mdb.models['Model-1'].parts['Part-1'].PartitionCellByDatumPlane(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask(('[#4 ]',
), ), datumPlane=mdb.models['Model-1'].parts['Part-1'].datums[33])
mdb.models['Model-1'].parts['Part-1'].PartitionCellByDatumPlane(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask(('[#40 ]',
), ), datumPlane=mdb.models['Model-1'].parts['Part-1'].datums[34])
mdb.models['Model-1'].parts['Part-1'].PartitionCellByDatumPlane(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#20121 ]', ), ), datumPlane=
mdb.models['Model-1'].parts['Part-1'].datums[2])
mdb.models['Model-1'].parts['Part-1'].PartitionCellByDatumPlane(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#200019 ]', ), ), datumPlane=
mdb.models['Model-1'].parts['Part-1'].datums[7])
print(mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#12060 ]', ), ))
mdb.models['Model-1'].parts['Part-1'].PartitionCellByDatumPlane(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#12060 ]', ), ), datumPlane=
mdb.models['Model-1'].parts['Part-1'].datums[8])

#####################Create sets for defining element type ##############################

mdb.models['Model-1'].parts['Part-1'].Set(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#38573fff ]', ), ), name='Hexahedral_set')
mdb.models['Model-1'].parts['Part-1'].Set(cells=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#7a8c000 ]', ), ), name='Tetrahedral_set')
####################Assign Element Type#################################
##Linear hexahedral element without reduced integration
mdb.models['Model-1'].parts['Part-1'].setElementType(elemTypes=(ElemType(
elemCode=C3D8, elemLibrary=STANDARD, secondOrderAccuracy=OFF,
distortionControl=DEFAULT), ElemType(elemCode=C3D6, elemLibrary=STANDARD),
ElemType(elemCode=C3D4, elemLibrary=STANDARD)), regions=(
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#38573fff ]', ), ), ))
##Linear Tetrahedral element
mdb.models['Model-1'].parts['Part-1'].setElementType(elemTypes=(ElemType(
elemCode=C3D8R, elemLibrary=STANDARD, secondOrderAccuracy=OFF,
kinematicSplit=AVERAGE_STRAIN, hourglassControl=DEFAULT,
distortionControl=DEFAULT), ElemType(elemCode=C3D6, elemLibrary=STANDARD),
ElemType(elemCode=C3D4, elemLibrary=STANDARD, secondOrderAccuracy=OFF,
distortionControl=DEFAULT)), regions=(
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#7a8c000 ]', ), ), ))
####################Assign Mesh Control#################################
mdb.models['Model-1'].parts['Part-1'].setMeshControls(elemShape=TET, regions=
mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#7a8c000 ]', ), ), technique=FREE)
mdb.models['Model-1'].parts['Part-1'].setElementType(elemTypes=(ElemType(
elemCode=C3D20R, elemLibrary=STANDARD), ElemType(elemCode=C3D15,
elemLibrary=STANDARD), ElemType(elemCode=C3D10, elemLibrary=STANDARD)),
regions=(mdb.models['Model-1'].parts['Part-1'].cells.getSequenceFromMask((
'[#7a8c000 ]', ), ), ))
####################Assign Mesh seed Parameters ################################
mesh_size=0.1
mdb.models['Model-1'].parts['Part-1'].seedPart(deviationFactor=0.3,
minSizeFactor=0.1, size=mesh_size)
mdb.models['Model-1'].parts['Part-1'].generateMesh()
############################Material Description################################

Young_Mod=700000
Poisson_Ratio=0.3
mdb.models['Model-1'].Material(name='PLA')
mdb.models['Model-1'].materials['PLA'].Elastic(table=( (Young_Mod,Poisson_Ratio), ))

#########################Section Creation######################################
mdb.models['Model-1'].HomogeneousSolidSection(material='PLA', name=
'Continumm_Sec', thickness=None)
########################Section Assignment#####################################
mdb.models['Model-1'].parts['Part-1'].SectionAssignment(offset=0.0,
offsetField='', offsetType=MIDDLE_SURFACE, region=
mdb.models['Model-1'].parts['Part-1'].sets['Hexahedral_set'], sectionName=
'Continumm_Sec', thicknessAssignment=FROM_SECTION)
mdb.models['Model-1'].parts['Part-1'].SectionAssignment(offset=0.0,
offsetField='', offsetType=MIDDLE_SURFACE, region=
mdb.models['Model-1'].parts['Part-1'].sets['Tetrahedral_set'], sectionName=
'Continumm_Sec', thicknessAssignment=FROM_SECTION)
#########################Assembly Creation#####################################
mdb.models['Model-1'].rootAssembly.DatumCsysByDefault(CARTESIAN)
mdb.models['Model-1'].rootAssembly.Instance(dependent=ON, name='Part-1-1',
part=mdb.models['Model-1'].parts['Part-1'])
#########################Step Creation#####################################
mdb.models['Model-1'].StaticStep(initialInc=0.01, maxInc=33.0, minInc=0.00001,
name='Step-1', previous='Initial', timePeriod=33.0)
########################Fixed Boundary Condition#####################################

mdb.models['Model-1'].rootAssembly.Set(faces=
mdb.models['Model-1'].rootAssembly.instances['Part-1-1'].faces.getSequenceFromMask(
('[#0:3 #8000 ]', ), ), name='Fixed_End_Set')
mdb.models['Model-1'].EncastreBC(createStepName='Step-1', localCsys=None, name=
'FIxed_End_BC', region=
mdb.models['Model-1'].rootAssembly.sets['Fixed_End_Set'])

########################Displacement Boundary Condition#####################################
mdb.models['Model-1'].rootAssembly.Set(faces=
mdb.models['Model-1'].rootAssembly.instances['Part-1-1'].faces.getSequenceFromMask(
('[#0:3 #400 ]', ), ), name='Disp_End_Set')
mdb.models['Model-1'].VelocityBC(amplitude=UNSET, createStepName='Step-1',
distributionType=UNIFORM, fieldName='', localCsys=None, name='Disp_Cond',
region=mdb.models['Model-1'].rootAssembly.sets['Disp_End_Set'], v1=UNSET,
v2=UNSET, v3=-0.01, vr1=UNSET, vr2=UNSET, vr3=UNSET)
#####################################Create Sets For Parameter Extraction############################################
mdb.models['Model-1'].rootAssembly.Set(faces=
mdb.models['Model-1'].rootAssembly.instances['Part-1-1'].faces.getSequenceFromMask(
('[#0:3 #1 ]', ), ), name='Straight_Beam')
mdb.models['Model-1'].rootAssembly.Set(cells=
mdb.models['Model-1'].rootAssembly.instances['Part-1-1'].cells.getSequenceFromMask(
('[#8000 ]', ), ), name='Joint_1')
mdb.models['Model-1'].rootAssembly.Set(cells=
mdb.models['Model-1'].rootAssembly.instances['Part-1-1'].cells.getSequenceFromMask(
('[#2000000 ]', ), ), name='Joint_2')
mdb.models['Model-1'].rootAssembly.Set(faces=
mdb.models['Model-1'].rootAssembly.instances['Part-1-1'].faces.getSequenceFromMask(
('[#0:2 #1000000 ]', ), ), name='Cross_Beam1')
mdb.models['Model-1'].rootAssembly.Set(faces=
mdb.models['Model-1'].rootAssembly.instances['Part-1-1'].faces.getSequenceFromMask(
('[#0:2 #10000000 ]', ), ), name='Cross_Beam2')
############################################Create Job################################################################
mdb.Job(atTime=None, contactPrint=OFF, description='', echoPrint=OFF,
explicitPrecision=SINGLE, getMemoryFromAnalysis=True, historyPrint=OFF,
memory=90, memoryUnits=PERCENTAGE, model='Model-1', modelPrint=OFF,
multiprocessingMode=DEFAULT, name='Job-1', nodalOutputPrecision=SINGLE,
numCpus=1, numGPUs=0, queue=None, resultsFormat=ODB, scratch='', type=
ANALYSIS, userSubroutine='', waitHours=0, waitMinutes=0)
mdb.jobs['Job-1'].submit(consistencyChecking=OFF)
mdb.jobs['Job-1'].waitForCompletion()
parameter.append([mesh_size,radius_beam])
import shutil
index=index+1
shutil.copy2('Job-1.odb','results1/result%s.odb'%index)
numpy.save('parameter1',parameter)


Can someone please let me know the changes to be done in my script,such that I obtain an ODB of size 500 MB at maximum.
From the ODB, I only need to retrieve Vonmisses stress, Displacement.
Where can I add few lines of script,so that my ODB File contains only the data of Vonmisses stress and Displacement.

Thanks in Advance!
 
Replies continue below

Recommended for you

When you create the step abaqus automatically creates a field output and a history output object. By default, these will write output for a bunch of variables at every single increment at every single node/element (whole model). You need to modify this to only select whatever variable is of interest, and at whatever increment.

The command you need is below, and you should repeat it for history output. This is all well described in the scripting reference manual, so please read that to understand how to input your desired settings.

mdb.models['Model-1'].fieldOutputRequests['F-Output-1'].setValuesInStep()
 
Hi Cooken,

Thanks for your reply.
So,If in my model,I only need Vonmisses stress and displacement value for every timestep
I just need to below Macros right?

mdb.models['Model-1'].fieldOutputRequests['S'].setValuesInStep()
mdb.models['Model-1'].fieldOutputRequests['U'].setValuesInStep()

And do I this,just before submitting my Job??

Waiting for your reply
 
No. See below for example. Again, this is clearly defined in the Abaqus Documentation, which you clearly did not read or did not understand.
Also, you script is very clearly just a copied dump of the .rpy file, so you could also open CAE and make the change in there and then copy the relevant lines of code. Note you likely also need to adjust the history output too, and if your model is large and analysis is going through a large number of increments (especially if poor convergence) then outputting these variables at every increment for the whole model likely won't reduce your file size by much. You should think about limiting output to only certain increments and/or a smaller subset of your model.

mdb.models['Model-1'].fieldOutputRequests['F-Output-1'].setValuesInStep(variables=('S', 'U'))

Please understand, your question as stated is basically asking others to do work for you. I, and most other on here, are not willing to do this.
 
Just define the output request in A/CAE in the GUI and take the command from the .rpy-file.

But in general, the script isn't working for me. Even if I fix the indention in the for-loop at the beginning.
 
@Mousaine3:

Hi,

My above script only works for ABAQUS 2014 Version. I think,you may be using some other version of ABAQUS.Is n't it?
 
Status
Not open for further replies.
Back
Top